.mp-slider-item-image {
    overflow: hidden;
}

.mp-slider-wrapper {
    max-height: calc(100vh - var(--header-top-discount-offset) - var(--header-height));
    overflow: hidden;
}

.mp-slider {
    height: auto;
    width: 100%;
    overflow: hidden;
}

picture.mp-slider-item-image > img {
    height: 100%;
    width: 100%;
    object-fit: cover;
    object-position: center;
}

.mp-slider-item {
    width: 100%;
    height: 100%;
    position: relative;
}

.mp-slider-item-content-wrapper {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    height: max-content;
    width: 686px;
    margin: auto;
}

.mp-slider-item-content {
    width: 100%;
    padding: 40px 80px;
    gap: 24px;
    background: rgba(232, 232, 232, 0.35);
    backdrop-filter: blur(2px);
}

.mp-slider-item-content-slogan {
    font-family: var(--headers-font-family);
    font-size: 50px;
    font-style: normal;
    font-weight: var(--font-weight-heavy);
    line-height: 134%;
    color: var(--default-text-color);
    text-transform: uppercase;
}

.mp-slider-item-content-slogan-small {
    font-family: var(--body-font-family);
    font-size: 18px;
    font-weight: var(--font-weight-regular);
    line-height: 28px;
}

.search-form {
    width: 350px;
    height: 48px;
    border-radius: 2px;
    border: none;
    background: var(--bg-main-color);
    display: flex;
    padding: 12px 14px;
    align-items: flex-start;
    gap: 8px;
    justify-content: space-between;
}

.search-icon, .clear-icon {
    width: 20px;
    height: 20px;
    cursor: pointer;
}

.clear-icon {
    cursor: pointer;
}

.search-icon img, .clear-icon img {
    width: 100%;
    height: 100%;
}

input.search-field {
    height: 48px;
    margin-top: -12px;
    line-height: 48px;
    color: #3D3B36;
    padding: 0px;
    font-family: var(--body-font-family);
    font-size: 16px;
    font-weight: var(--font-weight-semilight);
}

input.search-field::placeholder {
    color: var(--default-text-color) !important;
    opacity: 1; /* Firefox */
}
::-ms-input-placeholder { /* Edge 12 -18 */
    color: var(--default-text-color);
}

.mp-slider-link-btn{
    min-width: 192px;
    max-width: 280px;
    height: 44px;
    padding: 9px 32px;
    gap: 10px;
    background: var(--brand-black-color);
    color: #fff;
    text-decoration: none;
    font-family: var(--headers-font-family);
    font-size: 15px;
    font-weight: var(--font-weight-regular);
    line-height: 26px;
    text-transform: uppercase;
}

.mp-slider-link-btn:hover{
    color: #fff;
}

@media (max-width: 1023px) {
    .mp-slider-wrapper .mp-slider-item-image > img {
        object-fit: cover;
    }
}

@media (-webkit-max-device-pixel-ratio: 1.99) and (min-width: 1440px), (-webkit-min-device-pixel-ratio: 2) and (min-width: 1920px) {

}

/*condition for 3 columns on Mac, if needed*/
@media (-webkit-max-device-pixel-ratio: 1.99) and (min-width: 1024px) and (max-width: 1439px), (-webkit-min-device-pixel-ratio: 2) and (min-width: 1024px) and (max-width: 1919px) {

    .mp-slider-item-content-slogan-small {
        font-size: 18px;
        font-weight: var(--font-weight-regular);
    }

}

@media (-webkit-max-device-pixel-ratio: 1.99) and (min-width: 768px) and (max-width: 1023px), (-webkit-min-device-pixel-ratio: 2) and (min-width: 768px) and (max-width: 1023px) {
    .mp-slider-wrapper,.mp-slider {
        height: 698px;
    }

    .mp-slider-item-image {
        max-height: 698px;
        overflow: hidden;
    }

    .mp-slider-item-content {
        padding: 40px 15px;
    }

    .mp-slider-item-content-wrapper {
        width: calc(100% - 82px);
    }

    .mp-slider-wrapper .mp-slider-item-image > img {
        object-fit: cover;
    }

    .mp-slider-item-content-slogan {
        font-size: 40px;
        line-height: 125%;
    }

    .mp-slider-item-content-slogan-small {
        font-size: 18px;
        font-weight: var(--font-weight-regular);
        line-height: 28px;
    }
}

@media (-webkit-max-device-pixel-ratio: 1.99) and (max-width: 767px), (-webkit-min-device-pixel-ratio: 2) and (max-width: 767px) {
    .mp-slider-wrapper,.mp-slider {
        height: 698px;
    }

    .mp-slider-item-content-slogan p {
        word-break: break-word;
    }

    .mp-slider-item-content {
        padding: 40px 15px;
    }

    .mp-slider-item-image {
        overflow: hidden;
    }

    .mp-slider-item-content{
        min-height: 390px;
    }

    .mp-slider-item-content-wrapper {
        width: calc(100% - 42px);
    }

    .mp-slider-item-content-slogan {
        font-size: 32px;
        line-height: 125%;
    }

    .mp-slider-item-content-slogan-small {
        font-size: 16px;
        font-weight: var(--font-weight-semilight);
        line-height: 26px;
    }

    .search-form-parent-element {
        max-width: 100%;
    }

    .search-form {
        width: 311px;
    }

    @media (max-width: 374px) {
        .mp-slider-item-content-slogan {
            font-size: 24px;
        }
    }
}

@media (min-width: 1921px) {
    .mp-slider-item-content-slogan {
        font-size: 58px;
        font-weight: 600;
        line-height: 77px;
    }
    .mp-slider-item-content-slogan-small {
        font-size: 20px;
        font-weight: 400;
        line-height: 32px;
    }
}